Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.opengl
Interface InputImplementation

    public interface InputImplementation

Method Summary
`java.lang.Object` | `createCursor(int width, int height, int xHotspot, int yHotspot, int numImages, java.nio.IntBuffer images, java.nio.IntBuffer delays)` Native cursor handles
`void` | `createKeyboard()` Method to create the keyboard
`void` | `createMouse()` Method to create the mouse.
`void` | `destroyCursor(java.lang.Object cursor_handle)`
`void` | `destroyKeyboard()` Method to destroy the keyboard
`void` | `destroyMouse()` Method the destroy the mouse
`int` | `getButtonCount()` Query of button count
`int` | `getHeight()`
`int` | `getMaxCursorSize()` Method returning the maximum cursor size
`int` | `getMinCursorSize()` Method returning the minimum cursor size
`int` | `getNativeCursorCapabilities()` Function to determine native cursor support
`int` | `getWidth()`
`void` | `grabMouse(boolean grab)`
`boolean` | `hasWheel()` Query of wheel support
`void` | `pollKeyboard(java.nio.ByteBuffer keyDownBuffer)` Method to poll the keyboard.
`void` | `pollMouse(java.nio.IntBuffer coord_buffer, java.nio.ByteBuffer buttons)` Method to poll the mouse
`void` | `readKeyboard(java.nio.ByteBuffer buffer)` Method to read the keyboard buffer
`void` | `readMouse(java.nio.ByteBuffer buffer)` Method to read the keyboard buffer
`void` | `setCursorPosition(int x, int y)` Method to set the native cursor position
`void` | `setNativeCursor(java.lang.Object handle)` Method to set the native cursor

Method Detail

### hasWheel

    boolean hasWheel()

  Query of wheel support

### getButtonCount

    int getButtonCount()

  Query of button count

### createMouse

    void createMouse()
                     throws LWJGLException

  Method to create the mouse.

  Throws:
    `LWJGLException`

### destroyMouse

    void destroyMouse()

  Method the destroy the mouse

### pollMouse

    void pollMouse(java.nio.IntBuffer coord_buffer,
                   java.nio.ByteBuffer buttons)

  Method to poll the mouse

### readMouse

    void readMouse(java.nio.ByteBuffer buffer)

  Method to read the keyboard buffer

### grabMouse

    void grabMouse(boolean grab)

### getNativeCursorCapabilities

    int getNativeCursorCapabilities()

  Function to determine native cursor support

### setCursorPosition

    void setCursorPosition(int x,
                           int y)

  Method to set the native cursor position

### setNativeCursor

    void setNativeCursor(java.lang.Object handle)
                         throws LWJGLException

  Method to set the native cursor

  Throws:
    `LWJGLException`

### getMinCursorSize

    int getMinCursorSize()

  Method returning the minimum cursor size

### getMaxCursorSize

    int getMaxCursorSize()

  Method returning the maximum cursor size

### createKeyboard

    void createKeyboard()
                        throws LWJGLException

  Method to create the keyboard

  Throws:
    `LWJGLException`

### destroyKeyboard

    void destroyKeyboard()

  Method to destroy the keyboard

### pollKeyboard

    void pollKeyboard(java.nio.ByteBuffer keyDownBuffer)

  Method to poll the keyboard.

  Parameters:
    `keyDownBuffer` - the address of a 256-byte buffer to place key states in.

### readKeyboard

    void readKeyboard(java.nio.ByteBuffer buffer)

  Method to read the keyboard buffer

### createCursor

    java.lang.Object createCursor(int width,
                                  int height,
                                  int xHotspot,
                                  int yHotspot,
                                  int numImages,
                                  java.nio.IntBuffer images,
                                  java.nio.IntBuffer delays)
                                  throws LWJGLException

  Native cursor handles

  Throws:
    `LWJGLException`

### destroyCursor

    void destroyCursor(java.lang.Object cursor_handle)

### getWidth

    int getWidth()

### getHeight

    int getHeight()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.